# FIXME: copyright

OK = 0
UNKNOWN_VERSION = 1
UNKNOWN_OP = 2
AUTHENTICATION_FAILED = 3
ALREADY_EXISTS = 4
USER_NOT_FOUND = 5
USER_HAS_KEY_ACCESSES = 6
KEY_USER_NOT_FOUND = 7
KEY_NOT_FOUND = 8
UNKNOWN_ERROR = 9
ONLY_ONE_KEY_USER = 10
CORRUPT_RPM = 11
UNAUTHENTICATED_RPM = 12

_messages = {
    OK: 'No error',
    UNKNOWN_VERSION: 'Unknown protocol version',
    UNKNOWN_OP: 'Unknown operation',
    AUTHENTICATION_FAILED: 'Authentication failed',
    ALREADY_EXISTS: 'The specified object already exists',
    USER_NOT_FOUND: 'The specified user was not found',
    USER_HAS_KEY_ACCESSES: 'The specified user can access one or more keys',
    KEY_USER_NOT_FOUND: 'The specified user can not access this key',
    KEY_NOT_FOUND: 'The specified key was not found',
    UNKNOWN_ERROR: 'Unknown error',
    ONLY_ONE_KEY_USER: 'This is the only user with access to this key',
    CORRUPT_RPM: 'The RPM file is corrupt',
    UNAUTHENTICATED_RPM: 'Missing RPM file authentication by client',
    }

def message(error_code):
    '''Return an error message for error_code.'''
    if error_code in _messages:
        return _messages[error_code]
    return 'Error %d' % error_code
