#! /bin/bash
mkdir -p ~/.rpmsigner
cd ~/.rpmsigner
if [ ! -f cert8.db ]; then
    echo 'Creating a NSS database.'
    echo ' Choose a NSS database password, which will be necessary to use the '
    echo ' rpmsigner client.'
    certutil -d . -N
fi

echo 'Importing CA certificate'
certutil -d . -A -n fedora-ca -t TC,, -a < ~/.fedora-server-ca.cert

echo 'Importing user certificate.'
echo ' Choose an "export password".  You will only need to remember it until'
echo ' this script finishes.'
openssl pkcs12 -export -out client.pem -in ~/.fedora.cert \
    -name rpmsigner-client-cert
pk12util -d . -i client.pem
shred -u client.pem

echo 'Done.'
