# FIXME: copyright

import getpass
import logging
import readline # for raw_input
import sys

import server_common
import utils

def main():
    options = utils.get_daemon_options('Add an administrator to the signing '
                                       'server', '~/.rpmsigner/server.conf')
    logging.basicConfig(format='%(levelname)s: %(message)s',
                        level=utils.logging_level_from_options(options))
    try:
        config = server_common.ServerBaseConfiguration(options.config_file)
    except utils.ConfigurationError, e:
        sys.exit(e.message)

    utils.nss_init(config)
    name = raw_input('Administrator user name: ')
    password1 = getpass.getpass('Administrator password: ')
    password2 = getpass.getpass('Administrator password (again): ')
    if password1 != password2:
        sys.exit('Passwords don\'t match.')
    db = server_common.db_open(config)
    user = server_common.User(name, clear_password=password1, admin=True)
    db.save(user)
    db.commit()

if __name__ == '__main__':
    main()
